libbluray-tools-1.0.2-lp150.83.5.x86_64.rpm


Advertisement

Description

libbluray-tools - Library to access Blu-Ray disk - Utilities

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Libs all
Package name libbluray-tools
Package version 1.0.2
Package release lp150.83.5
Package architecture x86_64
Package type rpm
Installed size 10.23 KB
Download size 24.42 KB
Official Mirror ftp.gwdg.de
This library is written for the purpose of playing Blu-ray movies. It is
intended for software that want to support Blu-ray playback (such as VLC and
MPlayer). We, the authors of this library, do not condone nor endorse piracy.

Alternatives

Package Version Architecture Repository
libbluray-tools-1.0.2-lp150.2.5.x86_64.rpm 1.0.2 x86_64 openSUSE Oss
libbluray-tools - - -

Requires

Name Value
libbluray.so.2()(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -

Provides

Name Value
libbluray-tools = 1.0.2-lp150.83.5
libbluray-tools(x86-64) = 1.0.2-lp150.83.5

Download

Type URL
Binary Package libbluray-tools-1.0.2-lp150.83.5.x86_64.rpm
Source Package libbluray-1.0.2-lp150.83.5.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ opensuse-multimedia-libs
  2. Install libbluray-tools rpm package:
    # zypper install libbluray-tools

Files

Path
/usr/bin/bd_info

Changelog

2017-12-19 - fstrba@suse.com
- Modified patch:
* libbluray-java9.patch
+ Some change in hunks integrating upstream fixes that were
partially different from ours.
2017-12-19 - fstrba@suse.com
- BuildConflict with jdk10 or higher, since some removal of
deprecated SecurityManager functions makes BD-J not buildable
with jdk10
2017-12-05 - joerg.lorenzen@ki.tng.de
- Update to version 1.0.2:
+ Add initial support for UHD BluRay discs (without BD-J menus).
+ Detect JRE (from the Java Applet plugin) on MacOS.
+ Improve error resilience and stability.
+ Improve libmmbd support.
+ Fix static build dependencies in pkgconfig file.
+ Fix creation of cache (sub-)directories on windows platforms.
+ Fix BD-J temporary storage when persistent storage is disabled.
+ Fix leaks.
- At least java-devel >= 1.8 ist required for build.
2017-10-30 - fstrba@suse.com
- Added patch:
* libbluray-java9.patch
+ Fix build with jdk9
+ Due to incompatible changes in jdk9, the same code cannot be
built with jdk9 and jdk <= 1.8
+ Only apply on systems that hava jdk9
2017-09-10 - dimstar@opensuse.org
- BuildConflict with java-devel >= 1.9. Java 8 is the last to
support source_version 1.5.
2017-06-15 - joerg.lorenzen@ki.tng.de
- Update to version 1.0.1:
+ Add possibility to check whether BD-J is functional without
opening a disc.
+ Improve main title selection.
+ Improve error resilience and stability.
+ Fix Windows dll loading.
+ Fix JAVA_HOME environment variable handling in Windows.
+ Fix build issues when CPPFLAGS is given in make command line.
+ Fix MSVC build issues.
+ Remove --disable-bdjava and --disable-udf configure options.
- Fixed patch libbluray-jvm_dir.patch.
2017-03-03 - joerg.lorenzen@ki.tng.de
- Update to version 1.0.0:
+ Add support for Java VM (BD-J) on MacOS.
+ Add clip_id to BLURAY_CLIP_INFO.
+ Add a suitable JVM path for Fedora/RHEL and clones.
+ Add support for AVCHD 8.3 filenames.
+ Add player setting for disabling persistent storage.
+ Add bd_set_rate().
+ Add playback time position to BD_EVENT_SEEK.
+ Add BD_VK_ROOT_MENU handling.
+ Add support for heavily fragmented 3D .m2ts files.
+ Improve Win32 dll loading security.
+ Improve playback resume position accuracy.
+ Improve error resilience and stability.
+ Fix using libmmbd with unmounted discs.
+ Fix leaks.
+ Delay BD-J overlay opening until something visible has been
drawn.
+ Close BD-J overlay when window is not visible.
+ Use temporary storage when cache or persistent root location is
unknown.
- Fixed patch libbluray-jvm_dir.patch.
- Changed soname version to 2.
2017-02-13 - jengelh@inai.de
- Rename %soname to %sover to better reflect its use.
Fix RPM groups.
2017-02-12 - pascal.bleser@opensuse.org
- drop patch A02-expopse-clip_id.patch as Handbrake seems to be the only
package that needs it, to avoid binary runtime incompatibilities with
libbluray packages that would stem from other repositories
2017-02-02 - pascal.bleser@opensuse.org
- add patch to expose clip_id (as applied by Debian), which is
necessary to build packages that depend on it (such as Handbrake)
* A02-expose-clip_id.patch

See Also

Package Description
libbluray2-1.0.2-lp150.83.5.x86_64.rpm Library to access Blu-Ray disk
libbs2b-devel-3.1.0-lp150.17.5.x86_64.rpm Development files for libbs2b
libbs2b0-3.1.0-lp150.17.5.x86_64.rpm The Bauer stereophonic-to-binaural DSP library
libburn-devel-1.4.8-lp150.9.2.x86_64.rpm Development Files for libburn
libburn4-1.4.8-lp150.9.2.x86_64.rpm Library for Writing Preformatted Data onto Optical Media
libcaca-devel-0.99.beta19.git20171003-lp150.63.4.x86_64.rpm Library for Colour ASCII Art, text mode graphics
libcaca-ruby-0.99.beta19.git20171003-lp150.63.4.x86_64.rpm Ruby bindings for libcaca
libcaca0-0.99.beta19.git20171003-lp150.63.4.x86_64.rpm Library for Colour ASCII Art, text mode graphics
libcaca0-plugins-0.99.beta19.git20171003-lp150.63.4.x86_64.rpm Plugins for libcaca
libcdaudio-devel-0.99.12-lp150.312.4.x86_64.rpm Provide functions to control operation of a CD-ROM when playing audio CDs
libcdaudio1-0.99.12-lp150.312.4.x86_64.rpm Functions to control oepration of a CD-ROM while playing audio CDs
libcdda_interface0-3.10.2-lp150.56.1.x86_64.rpm Library for Extracting, Verifying, and Fixing Audio Tracks from CDs
libcdda_paranoia0-3.10.2-lp150.56.1.x86_64.rpm Library for Extracting, Verifying, and Fixing Audio Tracks from CDs
libcddb-devel-1.3.2-lp150.44.4.x86_64.rpm CDDB Access Library
libcddb-utils-1.3.2-lp150.44.5.x86_64.rpm CDDB Access Library Utilities
Advertisement
Advertisement